Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0890-1: moderate: Security update for wget
openSUSE Security Update: Security update for wget
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0890-1
Rating: moderate
References: #1028301
Cross-References: CVE-2017-6508
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for wget fixes the following issues:

Security issue fixed:
- CVE-2017-6508: (url_parse): Reject control characters in host part of
URL (bsc#1028301).

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-412=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-412=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

wget-1.14-8.3.1
wget-debuginfo-1.14-8.3.1
wget-debugsource-1.14-8.3.1

- openSUSE Leap 42.1 (i586 x86_64):

wget-1.14-11.1
wget-debuginfo-1.14-11.1
wget-debugsource-1.14-11.1


References:

https://www.suse.com/security/cve/CVE-2017-6508.html
https://bugzilla.suse.com/1028301


< Previous Next >
This Thread
  • No further messages